package com.volet.api;

public class ApiWebServiceProxy implements com.volet.api.ApiWebService_PortType {
  private String _endpoint = null;
  private com.volet.api.ApiWebService_PortType apiWebService_PortType = null;
  
  public ApiWebServiceProxy() {
    _initApiWebServiceProxy();
  }
  
  public ApiWebServiceProxy(String endpoint) {
    _endpoint = endpoint;
    _initApiWebServiceProxy();
  }
  
  private void _initApiWebServiceProxy() {
    try {
      apiWebService_PortType = (new com.volet.api.ApiWebService_ServiceLocator()).getApiWebServicePort();
      if (apiWebService_PortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)apiWebService_PortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)apiWebService_PortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (apiWebService_PortType != null)
      ((javax.xml.rpc.Stub)apiWebService_PortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.volet.api.ApiWebService_PortType getApiWebService_PortType() {
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType;
  }
  
  public void validationSendMoneyToEmail(com.volet.api.AuthDTO arg0, com.volet.api.SendMoneyRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.WrongEmailException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.EmailAlreadyExistException, com.volet.api.LimitPerDayException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    apiWebService_PortType.validationSendMoneyToEmail(arg0, arg1);
  }
  
  public java.lang.String sendMoneyToBankCard(com.volet.api.AuthDTO arg0, com.volet.api.BankCardTransferRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.NotSupportedBankBinException, com.volet.api.AccessDeniedException, com.volet.api.CardNumberIsNotValidException, com.volet.api.LimitPerQuarterException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.AdditionalDataRequiredException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.NotSupportedCountryException, com.volet.api.DatabaseException, com.volet.api.LimitPerDayException, com.volet.api.LimitPerYearException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.sendMoneyToBankCard(arg0, arg1);
  }
  
  public com.volet.api.ApiTariffsHolder[] getTariffs(com.volet.api.AuthDTO arg0) throws java.rmi.RemoteException, com.volet.api.AccessDeniedException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.getTariffs(arg0);
  }
  
  public com.volet.api.CryptoCurrencyWithdrawalInvoiceHolder createCryptoCurrencyWithdrawalInvoice(com.volet.api.AuthDTO arg0, com.volet.api.WithdrawToEcurrencyRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionTemporaryNotAvailableException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.LimitPerQuarterException, com.volet.api.MerchantDisabledException, com.volet.api.JAXBException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.LimitsException, com.volet.api.NotAuthException, com.volet.api.NotEnoughMoneyApiException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ExchangeCurrencyException, com.volet.api.LimitPerDayException, com.volet.api.ApiException, com.volet.api.LimitPerYearException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.createCryptoCurrencyWithdrawalInvoice(arg0, arg1);
  }
  
  public java.lang.String sendMoneyToEcurrency(com.volet.api.AuthDTO arg0, com.volet.api.WithdrawToEcurrencyRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionTemporaryNotAvailableException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.LimitPerQuarterException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.NotEnoughMoneyApiException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ExchangeCurrencyException, com.volet.api.LimitPerDayException, com.volet.api.ApiException, com.volet.api.LimitPerYearException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.sendMoneyToEcurrency(arg0, arg1);
  }
  
  public com.volet.api.P2POrderDTO cancelP2POrderByOrderId(com.volet.api.AuthDTO arg0, java.lang.String arg1) throws java.rmi.RemoteException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException, com.volet.api.BadParametersException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.cancelP2POrderByOrderId(arg0, arg1);
  }
  
  public java.lang.String currencyExchange(com.volet.api.AuthDTO arg0, com.volet.api.CurrencyExchangeRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.LimitPerDayException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.currencyExchange(arg0, arg1);
  }
  
  public java.lang.String sendMoney(com.volet.api.AuthDTO arg0, com.volet.api.SendMoneyRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WalletCurrencyIncorrectException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.NotSupportedCurrencyException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.NotSupportedCountryException, com.volet.api.DatabaseException, com.volet.api.LimitPerDayException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.sendMoney(arg0, arg1);
  }
  
  public void validationSendMoneyToEcurrency(com.volet.api.AuthDTO arg0, com.volet.api.WithdrawToEcurrencyRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionTemporaryNotAvailableException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.LimitPerQuarterException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.NotEnoughMoneyApiException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ExchangeCurrencyException, com.volet.api.LimitPerDayException, com.volet.api.ApiException, com.volet.api.LimitPerYearException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    apiWebService_PortType.validationSendMoneyToEcurrency(arg0, arg1);
  }
  
  public com.volet.api.WalletBalanceDTO[] getBalances(com.volet.api.AuthDTO arg0) throws java.rmi.RemoteException, com.volet.api.AccessDeniedException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.getBalances(arg0);
  }
  
  public com.volet.api.CreateCryptoCurrencyInvoiceResult createCryptoCurrencyInvoice(com.volet.api.AuthDTO arg0, com.volet.api.CreateCryptoCurrencyInvoiceRequest arg1) throws java.rmi.RemoteException, com.volet.api.NotAvailableDepositSystemException, com.volet.api.AccessDeniedException, com.volet.api.MerchantDisabledException, com.volet.api.JAXBException, com.volet.api.WrongIpException, com.volet.api.DuplicateOrderIdException, com.volet.api.WrongParamsException, com.volet.api.BadParametersException, com.volet.api.InternalException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.CryptoCurrencyMarketsUnavailableException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ApiException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.createCryptoCurrencyInvoice(arg0, arg1);
  }
  
  public com.volet.api.P2POrderDTO findP2POrderByOrderId(com.volet.api.AuthDTO arg0, java.lang.String arg1) throws java.rmi.RemoteException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException, com.volet.api.BadParametersException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.findP2POrderByOrderId(arg0, arg1);
  }
  
  public void validationSendMoney(com.volet.api.AuthDTO arg0, com.volet.api.SendMoneyRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WalletCurrencyIncorrectException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.NotSupportedCurrencyException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.NotSupportedCountryException, com.volet.api.DatabaseException, com.volet.api.LimitPerDayException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    apiWebService_PortType.validationSendMoney(arg0, arg1);
  }
  
  public com.volet.api.CheckCurrencyExchangeResultHolder checkCurrencyExchange(com.volet.api.AuthDTO arg0, com.volet.api.CheckCurrencyExchangeRequest arg1) throws java.rmi.RemoteException, com.volet.api.AccessDeniedException, com.volet.api.LimitsException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.UserBlockedException, com.volet.api.WrongIpException, com.volet.api.DatabaseException, com.volet.api.WrongParamsException, com.volet.api.BadParametersException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.checkCurrencyExchange(arg0, arg1);
  }
  
  public com.volet.api.CryptoCurrencyWithdrawalInvoiceHolder findCryptoCurrencyWithdrawalInvoiceById(com.volet.api.AuthDTO arg0, java.lang.String arg1) throws java.rmi.RemoteException, com.volet.api.LimitsException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.findCryptoCurrencyWithdrawalInvoiceById(arg0, arg1);
  }
  
  public com.volet.api.CancelProtectedTransferResultHolder cancelProtectedTransfer(com.volet.api.AuthDTO arg0, java.lang.String arg1) throws java.rmi.RemoteException, com.volet.api.TransactionFailureException, com.volet.api.AccessDeniedException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.cancelProtectedTransfer(arg0, arg1);
  }
  
  public com.volet.api.CheckCurrencyExchangeCrypto2FiatResult checkCurrencyExchangeCrypto2Fiat(com.volet.api.AuthDTO arg0, com.volet.api.CurrencyExchangeCrypto2FiatRequest arg1) throws java.rmi.RemoteException, com.volet.api.NotAvailableDepositSystemException, com.volet.api.AccessDeniedException, com.volet.api.JAXBException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.DuplicateOrderIdException, com.volet.api.UserDoesNotExistException, com.volet.api.WrongParamsException, com.volet.api.BadParametersException, com.volet.api.InternalException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.LimitsException, com.volet.api.CryptoCurrencyMarketsUnavailableException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ApiException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.checkCurrencyExchangeCrypto2Fiat(arg0, arg1);
  }
  
  public com.volet.api.PaymentOrderResultHolder findPaymentByOrderId(com.volet.api.AuthDTO arg0, com.volet.api.PaymentOrderRequest arg1) throws java.rmi.RemoteException, com.volet.api.NotAvailableDepositSystemException, com.volet.api.AccessDeniedException, com.volet.api.MerchantDisabledException, com.volet.api.JAXBException, com.volet.api.WrongIpException, com.volet.api.DuplicateOrderIdException, com.volet.api.WrongParamsException, com.volet.api.BadParametersException, com.volet.api.InternalException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ApiException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.findPaymentByOrderId(arg0, arg1);
  }
  
  public com.volet.api.MinLimitsForCryptoTxsResult getMinLimitsForCryptoTxs(com.volet.api.AuthDTO arg0, com.volet.api.MinLimitsForCryptoTxsRequest arg1) throws java.rmi.RemoteException, com.volet.api.AccessDeniedException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.getMinLimitsForCryptoTxs(arg0, arg1);
  }
  
  public com.volet.api.CurrencyExchangeCrypto2FiatResult currencyExchangeCrypto2Fiat(com.volet.api.AuthDTO arg0, com.volet.api.CurrencyExchangeCrypto2FiatRequest arg1) throws java.rmi.RemoteException, com.volet.api.NotAvailableDepositSystemException, com.volet.api.AccessDeniedException, com.volet.api.JAXBException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.DuplicateOrderIdException, com.volet.api.UserDoesNotExistException, com.volet.api.WrongParamsException, com.volet.api.BadParametersException, com.volet.api.InternalException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.LimitsException, com.volet.api.CryptoCurrencyMarketsUnavailableException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ApiException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.currencyExchangeCrypto2Fiat(arg0, arg1);
  }
  
  public com.volet.api.AccountPresentDTO[] validateAccounts(com.volet.api.AuthDTO arg0, java.lang.String[] arg1) throws java.rmi.RemoteException, com.volet.api.AccessDeniedException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.validateAccounts(arg0, arg1);
  }
  
  public com.volet.api.ValidateAccountResultDTO validateAccount(com.volet.api.AuthDTO arg0, com.volet.api.ValidateAccountRequestDTO arg1) throws java.rmi.RemoteException, com.volet.api.AccessDeniedException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserDoesNotExistException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.validateAccount(arg0, arg1);
  }
  
  public com.volet.api.ApiTransactionDTO[] history(com.volet.api.AuthDTO arg0, com.volet.api.APITransactionFilter arg1) throws java.rmi.RemoteException, com.volet.api.AccessDeniedException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException, com.volet.api.BadParametersException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.history(arg0, arg1);
  }
  
  public void validationCurrencyExchange(com.volet.api.AuthDTO arg0, com.volet.api.CurrencyExchangeRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.CallRestrictionException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.LimitsException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ExchangeCurrencyException, com.volet.api.LimitPerDayException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    apiWebService_PortType.validationCurrencyExchange(arg0, arg1);
  }
  
  public com.volet.api.CheckCryptoCurrencyInvoiceResult checkCryptoCurrencyInvoice(com.volet.api.AuthDTO arg0, com.volet.api.CreateCryptoCurrencyInvoiceRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionFailureException, com.volet.api.AccessDeniedException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.CryptoCurrencyMarketsUnavailableException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.BadParametersException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.checkCryptoCurrencyInvoice(arg0, arg1);
  }
  
  public java.lang.String sendMoneyToEmail(com.volet.api.AuthDTO arg0, com.volet.api.SendMoneyRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.WrongEmailException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.ProtectionCodeIsNotAllowedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.EmailAlreadyExistException, com.volet.api.LimitPerDayException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.sendMoneyToEmail(arg0, arg1);
  }
  
  public void validationSendMoneyToBankCard(com.volet.api.AuthDTO arg0, com.volet.api.BankCardTransferRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.NotSupportedBankBinException, com.volet.api.AccessDeniedException, com.volet.api.CardNumberIsNotValidException, com.volet.api.LimitPerQuarterException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.AdditionalDataRequiredException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.NotAuthException, com.volet.api.WalletDoesNotExist, com.volet.api.NotSupportedCountryException, com.volet.api.DatabaseException, com.volet.api.LimitPerDayException, com.volet.api.LimitPerYearException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    apiWebService_PortType.validationSendMoneyToBankCard(arg0, arg1);
  }
  
  public com.volet.api.P2POrderDTO createP2POrder(com.volet.api.AuthDTO arg0, com.volet.api.P2POrderRequest arg1) throws java.rmi.RemoteException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException, com.volet.api.BadParametersException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.createP2POrder(arg0, arg1);
  }
  
  public java.lang.String confirmCryptoCurrencyWithdrawalInvoice(com.volet.api.AuthDTO arg0, com.volet.api.ConfirmCryptoCurrencyWithdrawalInvoiceRequest arg1) throws java.rmi.RemoteException, com.volet.api.TransactionTemporaryNotAvailableException, com.volet.api.TransactionIsNotAvailableException, com.volet.api.AccessDeniedException, com.volet.api.MerchantDisabledException, com.volet.api.JAXBException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.LimitPerTransactionException, com.volet.api.LimitPerMonthException, com.volet.api.InternalException, com.volet.api.BadParametersException, com.volet.api.TransactionFailureException, com.volet.api.NotEnoughMoneyException, com.volet.api.LimitsException, com.volet.api.NotAuthException, com.volet.api.NotEnoughMoneyApiException, com.volet.api.WalletDoesNotExist, com.volet.api.DatabaseException, com.volet.api.ExchangeCurrencyException, com.volet.api.LimitPerDayException, com.volet.api.ApiException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.confirmCryptoCurrencyWithdrawalInvoice(arg0, arg1);
  }
  
  public com.volet.api.CryptoCurrencyWithdrawalInvoiceHolder findCryptoCurrencyWithdrawalInvoiceByOrderId(com.volet.api.AuthDTO arg0, java.lang.String arg1) throws java.rmi.RemoteException, com.volet.api.LimitsException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.UserBlockedException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException, com.volet.api.BadParametersException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.findCryptoCurrencyWithdrawalInvoiceByOrderId(arg0, arg1);
  }
  
  public com.volet.api.ApiTransactionDTO findTransaction(com.volet.api.AuthDTO arg0, java.lang.String arg1) throws java.rmi.RemoteException, com.volet.api.AccessDeniedException, com.volet.api.LimitsException, com.volet.api.CallRestrictionException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.InternalException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    return apiWebService_PortType.findTransaction(arg0, arg1);
  }
  
  public void register(com.volet.api.AuthDTO arg0, com.volet.api.RegistrationRequest arg1) throws java.rmi.RemoteException, com.volet.api.RegistrationException, com.volet.api.NotAuthException, com.volet.api.MerchantDisabledException, com.volet.api.WrongIpException, com.volet.api.WrongParamsException, com.volet.api.DatabaseException, com.volet.api.EmailAlreadyExistException, com.volet.api.InternalException, com.volet.api.BadParametersException{
    if (apiWebService_PortType == null)
      _initApiWebServiceProxy();
    apiWebService_PortType.register(arg0, arg1);
  }
  
  
}